Bug 17465 - Add a System Preference to control number of Saved Reports displayed
Summary: Add a System Preference to control number of Saved Reports displayed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-19 04:25 UTC by Bob Birchall
Modified: 2017-05-14 10:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17465: NumSavedReports syspref (3.92 KB, patch)
2017-04-05 04:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17465: NumSavedReports syspref (4.09 KB, patch)
2017-04-05 20:26 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17465: NumSavedReports syspref (4.31 KB, patch)
2017-04-28 19:49 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Birchall 2016-10-19 04:25:00 UTC
The Saved Reports page lists 20 reports by default.  A drop-down enables this to be changed to 10, 50, 100 or 'all' but this selection does not persist.  Where a library has a large number of reports with frequent access, the need to constantly reset this can be quite annoying.  

We propose to add a system preference 'numSavedReports'. The description would be something like: 'By default, show 20 reports on the Saved Reports page. Other allowed values are 10, 50, 100 and All'

The number chosen will also apply when a category tab is selected.
Comment 1 Aleisha Amohia 2017-04-05 04:43:04 UTC
Created attachment 61864 [details] [review]
Bug 17465: NumSavedReports syspref

To test:
1) Apply patch and update database
2) Go to system preferences. Default value should be 20 reports.
3) Go to Reports -> Use saved. Confirm 20 results are showing
4) Change value in syspref to any integer (i.e. 50)
5) Go back to Reports -> Use saved. Confirm the number of results shown
is based on the value in the syspref.

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-04-05 20:26:38 UTC
Created attachment 61926 [details] [review]
Bug 17465: NumSavedReports syspref

To test:
1) Apply patch and update database
2) Go to system preferences. Default value should be 20 reports.
3) Go to Reports -> Use saved. Confirm 20 results are showing
4) Change value in syspref to any integer (i.e. 50)
5) Go back to Reports -> Use saved. Confirm the number of results shown
is based on the value in the syspref.

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Nick Clemens 2017-04-28 19:49:26 UTC
Created attachment 62865 [details] [review]
Bug 17465: NumSavedReports syspref

To test:
1) Apply patch and update database
2) Go to system preferences. Default value should be 20 reports.
3) Go to Reports -> Use saved. Confirm 20 results are showing
4) Change value in syspref to any integer (i.e. 50)
5) Go back to Reports -> Use saved. Confirm the number of results shown
is based on the value in the syspref.

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-05-12 14:52:39 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 5 Katrin Fischer 2017-05-14 10:28:42 UTC
This won't get ported back to 16.11.x as it is an enhancement.